For the complete documentation index, see llms.txt. This page is also available as Markdown.

Series

Multi-event series and league management.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
includeCanceledSignupsbooleanOptional

Include canceled signups.

Example: false
Responses
200

Returns an SeriesDto

application/json
idstringRead-onlyRequired
bookedByobjectRead-onlyRequired
canceledAtstring · date-timeRead-onlyRequired
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
descriptionstringOptional
eventsTotalnumberRead-onlyRequired
admissionRatenumberRead-onlyRequired
signupLimitDatestring · date-timeOptional
membersOnlybooleanOptional
visibilitystring · enumRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
statusstring · enum · nullableRead-onlyRequiredPossible values:
get/series/{seriesId}
GET /apis/v2/series/{seriesId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "text",
    "bookedBy": {},
    "canceledAt": "2026-01-01T00:00:00.000Z",
    "startTime": "2026-01-01T00:00:00.000Z",
    "endTime": "2026-01-01T00:00:00.000Z",
    "picture": {
      "id": "text"
    },
    "description": "text",
    "eventsTotal": 1,
    "priceSettings": {
      "full": {
        "members": {
          "rate": 1,
          "overrides": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "rate": 1,
                "_links": {}
              }
            ],
            "_total": 1
          }
        },
        "nonMembers": {
          "rate": 1
        }
      },
      "unit": {
        "members": {
          "rate": 1,
          "overrides": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "rate": 1,
                "_links": {}
              }
            ],
            "_total": 1
          }
        },
        "nonMembers": {
          "rate": 1
        }
      }
    },
    "admissionRate": 1,
    "signupLimitDate": "2026-01-01T00:00:00.000Z",
    "membersOnly": true,
    "events": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "signups": {
      "_total": 1
    },
    "visibility": "LISTED",
    "visibilitySchedules": {
      "items": [
        {
          "id": "text",
          "event": {
            "id": "text"
          },
          "listDaysBefore": 1,
          "membersOnly": true,
          "executed": true,
          "status": "INVALID",
          "errors": [
            {
              "code": "text",
              "message": "text",
              "details": {}
            }
          ],
          "_links": {}
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "type": "PREVIEW",
    "status": "INVALID",
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ]
  }
]
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequired
Body
idstringRead-onlyRequired
bookedByobjectRead-onlyRequired
canceledAtstring · date-timeRead-onlyRequired
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
descriptionstringOptional
eventsTotalnumberRead-onlyRequired
admissionRatenumberRead-onlyRequired
signupLimitDatestring · date-timeOptional
membersOnlybooleanOptional
visibilitystring · enumRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
statusstring · enum · nullableRead-onlyRequiredPossible values:
Responses
200

Returns a SeriesDto

application/json
idstringRead-onlyRequired
bookedByobjectRead-onlyRequired
canceledAtstring · date-timeRead-onlyRequired
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
descriptionstringOptional
eventsTotalnumberRead-onlyRequired
admissionRatenumberRead-onlyRequired
signupLimitDatestring · date-timeOptional
membersOnlybooleanOptional
visibilitystring · enumRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
statusstring · enum · nullableRead-onlyRequiredPossible values:
patch/series/{seriesId}
PATCH /apis/v2/series/{seriesId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 599

{
  "picture": {
    "id": "text"
  },
  "overrideFields": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "description": "text",
  "priceSettings": {
    "full": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    },
    "unit": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    }
  },
  "signupLimitDate": "2026-01-01T00:00:00.000Z",
  "membersOnly": true,
  "events": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "visibility": "LISTED",
  "type": "PREVIEW"
}
{
  "id": "text",
  "bookedBy": {},
  "canceledAt": "2026-01-01T00:00:00.000Z",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "picture": {
    "id": "text"
  },
  "description": "text",
  "eventsTotal": 1,
  "priceSettings": {
    "full": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    },
    "unit": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    }
  },
  "admissionRate": 1,
  "signupLimitDate": "2026-01-01T00:00:00.000Z",
  "membersOnly": true,
  "events": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "signups": {
    "_total": 1
  },
  "visibility": "LISTED",
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "listDaysBefore": 1,
        "membersOnly": true,
        "executed": true,
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "type": "PREVIEW",
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ]
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
includeUnpublishedEventsbooleanOptional

Include unlisted events.

Example: false
includeCanceledEventsbooleanOptional

Include canceled events.

Example: false
includeCanceledSeriesbooleanOptional

Include canceled series.

Example: false
includeSuspendedEventsbooleanOptional

Include suspended events, those that were canceled by an admin due to an exceptional situation made their physical court to not be available.

Example: false
selfOnlybooleanOptional

Return only the events relevant to the logged in user. Only useful to privileged users.

Example: false
Responses
200

Returns an EventCollectionDto

application/json
_totalnumberRequiredDeprecated
get/series/{seriesId}/events
GET /apis/v2/series/{seriesId}/events HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "items": [
      {
        "id": "text",
        "type": "REGULAR",
        "subtype": "OPERATIONS",
        "customType": "text",
        "name": "text",
        "description": "text",
        "startTime": "2026-01-01T00:00:00.000Z",
        "endTime": "2026-01-01T00:00:00.000Z",
        "pods": {
          "items": [
            {
              "id": "text",
              "slug": "text",
              "displayName": "text",
              "displayNameShort": "text",
              "description": "text",
              "address": {
                "street": "text",
                "floor": "text",
                "city": "text",
                "zip": "text",
                "displayName": "text"
              },
              "timezone": "text",
              "type": "PRIVATE",
              "status": "NOT_AVAILABLE",
              "sport": "PICKLEBALL",
              "area": {},
              "tables": {
                "items": [
                  {
                    "id": "text",
                    "slug": "text",
                    "displayName": "text",
                    "displayNameShort": "text",
                    "description": "text",
                    "type": "STANDARD",
                    "status": "AVAILABLE",
                    "features": [
                      "REPLAYS"
                    ],
                    "pod": {},
                    "settings": {
                      "items": [
                        {
                          "id": "text",
                          "value": {}
                        }
                      ],
                      "_total": 1,
                      "_links": {
                        "self": {
                          "href": "text"
                        }
                      }
                    },
                    "errors": [
                      {
                        "code": "text",
                        "message": "text",
                        "details": {}
                      }
                    ],
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "openTime": {
                "hours": 1,
                "minutes": 1
              },
              "closeTime": {
                "hours": 1,
                "minutes": 1
              },
              "closedTimeOverrides": {
                "items": [
                  {
                    "id": "text",
                    "days": [
                      1
                    ],
                    "from": {
                      "hours": 1,
                      "minutes": 1
                    },
                    "to": {
                      "hours": 1,
                      "minutes": 1
                    }
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "guests": {
                "private": {
                  "min": "text",
                  "max": "text"
                }
              },
              "rates": {},
              "settings": {
                "items": [
                  {
                    "id": "text",
                    "value": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "tables": {
          "items": [
            {
              "id": "text",
              "type": "FIXED_TABLE",
              "table": {
                "id": "text"
              },
              "startTime": "2026-01-01T00:00:00.000Z",
              "endTime": "2026-01-01T00:00:00.000Z",
              "features": [
                "REPLAYS"
              ],
              "status": "INVALID",
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {
                "self": {
                  "href": "text"
                }
              }
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "access": {
          "id": "text",
          "type": "OPEN",
          "startTime": "2026-01-01T00:00:00.000Z",
          "endTime": "2026-01-01T00:00:00.000Z"
        },
        "guests": {
          "displayName": "text",
          "displayNameShort": "text",
          "max": 1
        },
        "reservations": {
          "items": [
            {
              "id": "text",
              "startTime": "2026-01-01T00:00:00.000Z",
              "endTime": "2026-01-01T00:00:00.000Z",
              "tableAssignment": "PENDING",
              "sessions": {
                "items": [
                  {
                    "id": "text",
                    "session": {
                      "id": "text"
                    },
                    "coupon": {
                      "id": "text"
                    },
                    "charge": {
                      "id": "text"
                    },
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "pod": {
                "id": "text"
              },
              "table": {
                "id": "text"
              },
              "coach": {
                "id": "text"
              },
              "guests": 1,
              "charges": {
                "_total": 1
              },
              "quickReplays": {
                "_total": 1
              },
              "customReplays": {
                "_total": 1
              },
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "bookingMode": "USER_BOOKED",
        "paymentMethod": "CASH",
        "bookedBy": {
          "id": "text"
        },
        "totalTeams": 1,
        "teamSize": 1,
        "admission": "OPEN",
        "admissionRating": {
          "minRating": 1,
          "maxRating": 1,
          "type": "SINGLES"
        },
        "admissionRate": {
          "regular": 1,
          "member": 1,
          "membersDefault": 1,
          "dayPass": {
            "id": "text",
            "displayName": "text",
            "rate": 1
          },
          "memberships": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "rate": 1
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "chargingStrategy": "spot+",
          "_links": {}
        },
        "admissionDate": {
          "regular": "2026-01-01T00:00:00.000Z",
          "member": "2026-01-01T00:00:00.000Z",
          "membersDefault": "2026-01-01T00:00:00.000Z",
          "memberships": {
            "items": [
              {
                "membership": {
                  "id": "text"
                },
                "date": "2026-01-01T00:00:00.000Z"
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "_links": {}
        },
        "admissionKids": "OPEN",
        "allowedMemberships": {},
        "coachRate": 1,
        "freeSignupCancellationHorizonHours": 1,
        "tags": [
          "text"
        ],
        "picture": {
          "id": "text"
        },
        "visibility": "LISTED",
        "invitations": {},
        "payments": {},
        "replays": {},
        "cancellation": {},
        "notes": {},
        "openInvitations": {},
        "signups": {},
        "waitlist": {},
        "features": [
          "WAITLIST"
        ],
        "stats": {},
        "series": {
          "id": "text"
        },
        "suspension": {
          "id": "text"
        },
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "tournamentDivision": {
          "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "provider": "SWISH",
          "swish": {
            "eventFormat": "rotating_partners_round_robin",
            "gameId": "game123",
            "editPlayersPath": "rotating-partners-round-robin"
          },
          "podplay": {
            "eventFormat": "round_robin",
            "gameId": "game123",
            "url": "https://tournaments.podplay.app/admin/tournaments/game123"
          },
          "status": "DRAFT",
          "createdAt": "2025-07-09T17:32:26.800Z",
          "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
          "lastSyncedAt": "2025-07-09T17:32:26.800Z",
          "visibility": "VISIBLE",
          "_links": {}
        },
        "visibilitySchedules": {
          "items": [
            {
              "id": "text",
              "event": {
                "id": "text"
              },
              "listDaysBefore": 1,
              "membersOnly": true,
              "executed": true,
              "status": "INVALID",
              "errors": [
                {
                  "code": "text",
                  "message": "text",
                  "details": {}
                }
              ],
              "_links": {}
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "recurrence": {
          "id": "text"
        },
        "teams": {
          "items": [
            {
              "id": "text",
              "_links": {
                "self": {
                  "href": "text"
                }
              },
              "teamLeader": {
                "id": "text",
                "user": {
                  "id": "text"
                },
                "type": "REGULAR",
                "firstName": "text",
                "lastName": "text",
                "gender": "text",
                "birthday": "2026-01-01T00:00:00.000Z",
                "initials": "text",
                "description": "text",
                "picture": {},
                "usattRating": 1,
                "duprProfileUrl": "text",
                "memberSince": "2026-01-01T00:00:00.000Z",
                "membershipEnrollment": {},
                "kids": {},
                "_links": {}
              },
              "teamMembers": {
                "items": [
                  {
                    "id": "text",
                    "user": {
                      "id": "text"
                    },
                    "type": "REGULAR",
                    "firstName": "text",
                    "lastName": "text",
                    "gender": "text",
                    "birthday": "2026-01-01T00:00:00.000Z",
                    "initials": "text",
                    "description": "text",
                    "picture": {},
                    "usattRating": 1,
                    "duprProfileUrl": "text",
                    "memberSince": "2026-01-01T00:00:00.000Z",
                    "membershipEnrollment": {},
                    "kids": {},
                    "_links": {}
                  }
                ],
                "_total": 1,
                "_links": {
                  "self": {
                    "href": "text"
                  }
                }
              },
              "teamMemberCount": 1
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "_links": {}
      }
    ],
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
]
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
excludeCanceledSignupsbooleanOptional

Exclude canceled signups.

Example: false
includeUnpublishedEventsbooleanOptional

Include unlisted events.

Example: false
includeCanceledEventsbooleanOptional

Include canceled events.

Example: false
includeCanceledSeriesbooleanOptional

Include canceled series.

Example: false
Responses
200

Returns an EventSignupCollectionDto

application/json
_totalnumberRequired
get/series/{seriesId}/signups
GET /apis/v2/series/{seriesId}/signups HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "items": [
      {
        "id": "text",
        "type": "PREVIEW",
        "status": "DRAFT",
        "passesStrategy": "USE_ALL",
        "availableGuests": {
          "items": [
            {
              "id": "text",
              "displayName": "text",
              "guests": 1,
              "rate": 1
            }
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "kids": {
          "items": [
            "text"
          ],
          "_total": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "coupon": {
          "id": "text",
          "code": "text",
          "discountType": "AMOUNT_OFF",
          "value": 1,
          "_links": {
            "self": {
              "href": "text"
            }
          }
        },
        "summary": {
          "event": {
            "id": "text"
          },
          "invitation": {
            "id": "text"
          },
          "openInvitation": {
            "id": "text"
          },
          "currency": "text",
          "rates": {
            "signup": 1,
            "guests": 1,
            "teamLeader": 1,
            "teamMember": 1
          },
          "subtotal": 1,
          "taxes": [
            {
              "name": "text",
              "amount": 1,
              "percentage": 1
            }
          ],
          "virtualCredits": 1,
          "couponDiscount": 1,
          "passes": {
            "items": [
              {
                "id": {},
                "available": 1,
                "quantity": 1,
                "displayName": "text",
                "displayNamePlural": "text",
                "rate": 1
              }
            ],
            "_total": 1,
            "_links": {}
          },
          "total": 1,
          "errors": [
            {
              "code": "text",
              "message": "text",
              "details": {}
            }
          ]
        },
        "owner": {
          "id": "text"
        },
        "order": {
          "id": "text"
        },
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  }
]
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRead-onlyRequired
bookedByobjectRead-onlyRequired
canceledAtstring · date-timeRead-onlyRequired
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
descriptionstringOptional
eventsTotalnumberRead-onlyRequired
admissionRatenumberRead-onlyRequired
signupLimitDatestring · date-timeOptional
membersOnlybooleanOptional
visibilitystring · enumRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
statusstring · enum · nullableRead-onlyRequiredPossible values:
Responses
201

Returns an EventSeries

application/json
idstringRead-onlyRequired
bookedByobjectRead-onlyRequired
canceledAtstring · date-timeRead-onlyRequired
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
descriptionstringOptional
eventsTotalnumberRead-onlyRequired
admissionRatenumberRead-onlyRequired
signupLimitDatestring · date-timeOptional
membersOnlybooleanOptional
visibilitystring · enumRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
statusstring · enum · nullableRead-onlyRequiredPossible values:
post/series
POST /apis/v2/series HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 599

{
  "picture": {
    "id": "text"
  },
  "overrideFields": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "description": "text",
  "priceSettings": {
    "full": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    },
    "unit": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    }
  },
  "signupLimitDate": "2026-01-01T00:00:00.000Z",
  "membersOnly": true,
  "events": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "visibility": "LISTED",
  "type": "PREVIEW"
}
{
  "id": "text",
  "bookedBy": {},
  "canceledAt": "2026-01-01T00:00:00.000Z",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "picture": {
    "id": "text"
  },
  "description": "text",
  "eventsTotal": 1,
  "priceSettings": {
    "full": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    },
    "unit": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    }
  },
  "admissionRate": 1,
  "signupLimitDate": "2026-01-01T00:00:00.000Z",
  "membersOnly": true,
  "events": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "signups": {
    "_total": 1
  },
  "visibility": "LISTED",
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "listDaysBefore": 1,
        "membersOnly": true,
        "executed": true,
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "type": "PREVIEW",
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ]
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
201

Returns an EventSeries

application/json
idstringRead-onlyRequired
bookedByobjectRead-onlyRequired
canceledAtstring · date-timeRead-onlyRequired
startTimestring · date-timeRead-onlyRequired
endTimestring · date-timeRead-onlyRequired
descriptionstringOptional
eventsTotalnumberRead-onlyRequired
admissionRatenumberRead-onlyRequired
signupLimitDatestring · date-timeOptional
membersOnlybooleanOptional
visibilitystring · enumRequiredPossible values:
typestring · enum · nullableRequiredPossible values:
statusstring · enum · nullableRead-onlyRequiredPossible values:
post/series/{seriesId}/cancellation
POST /apis/v2/series/{seriesId}/cancellation HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "bookedBy": {},
  "canceledAt": "2026-01-01T00:00:00.000Z",
  "startTime": "2026-01-01T00:00:00.000Z",
  "endTime": "2026-01-01T00:00:00.000Z",
  "picture": {
    "id": "text"
  },
  "description": "text",
  "eventsTotal": 1,
  "priceSettings": {
    "full": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    },
    "unit": {
      "members": {
        "rate": 1,
        "overrides": {
          "items": [
            {
              "membership": {
                "id": "text"
              },
              "rate": 1,
              "_links": {}
            }
          ],
          "_total": 1
        }
      },
      "nonMembers": {
        "rate": 1
      }
    }
  },
  "admissionRate": 1,
  "signupLimitDate": "2026-01-01T00:00:00.000Z",
  "membersOnly": true,
  "events": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "signups": {
    "_total": 1
  },
  "visibility": "LISTED",
  "visibilitySchedules": {
    "items": [
      {
        "id": "text",
        "event": {
          "id": "text"
        },
        "listDaysBefore": 1,
        "membersOnly": true,
        "executed": true,
        "status": "INVALID",
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ],
        "_links": {}
      }
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "type": "PREVIEW",
  "status": "INVALID",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ]
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Responses
204

Returns an empty response

No content

delete/series/{seriesId}/visibility-schedules
DELETE /apis/v2/series/{seriesId}/visibility-schedules HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Body
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
bookingTotalnumberRead-onlyRequired
signupsTotalnumberRead-onlyRequired
coachingTotalnumberRead-onlyRequired
totalnumberRead-onlyRequired
currencystringRead-onlyRequired
_linksobjectRequired
Responses
201

Returns a SeriesSettlementDto

application/json
typestring · enumRequiredPossible values:
statusstring · enumRequiredPossible values:
bookingTotalnumberRead-onlyRequired
signupsTotalnumberRead-onlyRequired
coachingTotalnumberRead-onlyRequired
totalnumberRead-onlyRequired
currencystringRead-onlyRequired
_linksobjectRequired
post/series/{seriesId}/settlement
POST /apis/v2/series/{seriesId}/settlement HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "type": "PREVIEW",
  "status": "PENDING",
  "_links": {}
}
201

Returns a SeriesSettlementDto

{
  "type": "PREVIEW",
  "status": "PENDING",
  "bookingTotal": 1,
  "signupsTotal": 1,
  "coachingTotal": 1,
  "total": 1,
  "currency": "text",
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "details": [
    {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  ],
  "_links": {}
}
put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
noteIdstringRequiredExample: security-note
Query parameters
expandstring[]Optional
Body
idstringRequired
commentstringRequired
Responses
200

Returns a SeriesNoteDto

application/json
idstringRequired
commentstringRequired
put/series/{seriesId}/notes/{noteId}
PUT /apis/v2/series/{seriesId}/notes/{noteId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "id": "text",
  "comment": "text"
}
200

Returns a SeriesNoteDto

{
  "id": "text",
  "comment": "text"
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
seriesIdstringRequiredExample: 3857358a-59e8-4944-8c48-3345c4375b43
Query parameters
expandstring[]Optional
Responses
200

Returns a SeriesNoteCollectionDto

application/json
itemsstring[]Required
_totalnumberRequired
get/series/{seriesId}/notes
GET /apis/v2/series/{seriesId}/notes HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Returns a SeriesNoteCollectionDto

{
  "items": [
    "text"
  ],
  "_total": 1,
  "_links": {
    "self": {
      "href": "text"
    }
  }
}

Last updated

Was this helpful?